/*===========================================================================*/
/*   (Llib/tvector.scm)                                                      */
/*   Bigloo (4.4b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 22 Mar 2021 06:58:31 PM CET     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.4b/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.4b/lib/bigloo/4.4b -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Llib/tvector.scm -o objs/obj_p/Llib/tvector.o) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
extern bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
BGL_EXPORTED_DECL int BGl_tvectorzd2lengthzd2zz__tvectorz00(obj_t);
static obj_t BGl_z62tvectorzd2refzb0zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_z62tvectorzf3z91zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2ze3tvectorz31zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_z62vectorzd2ze3tvectorz53zz__tvectorz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__tvectorz00();
static obj_t BGl_z62getzd2tvectorzd2descriptorz62zz__tvectorz00(obj_t, obj_t);
extern obj_t create_struct(obj_t, int);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__tvectorz00();
static obj_t BGl_genericzd2initzd2zz__tvectorz00();
extern long bgl_list_length(obj_t);
BGL_EXPORTED_DECL obj_t BGl_tvectorzd2ze3vectorz31zz__tvectorz00(obj_t);
static obj_t BGl_z62tvectorzd2ze3vectorz53zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__tvectorz00();
static obj_t BGl_gczd2rootszd2initz00zz__tvectorz00();
static obj_t BGl_objectzd2initzd2zz__tvectorz00();
BGL_EXPORTED_DECL obj_t BGl_declarezd2tvectorz12zc0zz__tvectorz00(char *, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_tvectorzd2refzd2zz__tvectorz00(obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62tvectorzd2lengthzb0zz__tvectorz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t get_tvector_descriptor(obj_t);
static obj_t BGl_methodzd2initzd2zz__tvectorz00();
BGL_EXPORTED_DECL bool_t BGl_tvectorzf3zf3zz__tvectorz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_listzd2ze3tvectorz31zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__tvectorz00();
BGL_EXPORTED_DECL obj_t BGl_tvectorzd2idzd2zz__tvectorz00(obj_t);
static obj_t BGl_symbol1568z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_z62declarezd2tvectorz12za2zz__tvectorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_bigloozd2casezd2sensitivityz00zz__readerz00();
static obj_t BGl_symbol1570z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1572z00zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62tvectorzd2idzb0zz__tvectorz00(obj_t, obj_t);
extern obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = BUNSPEC;
static obj_t BGl_z62listzd2ze3tvectorz53zz__tvectorz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzf3zd2envz21zz__tvectorz00, BgL_bgl_za762tvectorza7f3za7911589za7, BGl_z62tvectorzf3z91zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_listzd2ze3tvectorzd2envze3zz__tvectorz00, BgL_bgl_za762listza7d2za7e3tve1590za7, BGl_z62listzd2ze3tvectorz53zz__tvectorz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2ze3tvectorzd2envze3zz__tvectorz00, BgL_bgl_za762vectorza7d2za7e3t1591za7, BGl_z62vectorzd2ze3tvectorz53zz__tvectorz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2lengthzd2envz00zz__tvectorz00, BgL_bgl_za762tvectorza7d2len1592z00, BGl_z62tvectorzd2lengthzb0zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2ze3vectorzd2envze3zz__tvectorz00, BgL_bgl_za762tvectorza7d2za7e31593za7, BGl_z62tvectorzd2ze3vectorz53zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1562z00zz__tvectorz00, BgL_bgl_string1562za700za7za7_1594za7, "/builddir/build/BUILD/bigloo-4.4b/runtime/Llib/tvector.scm", 58 );
DEFINE_STRING( BGl_string1563z00zz__tvectorz00, BgL_bgl_string1563za700za7za7_1595za7, "&tvector-length", 15 );
DEFINE_STRING( BGl_string1564z00zz__tvectorz00, BgL_bgl_string1564za700za7za7_1596za7, "tvector", 7 );
DEFINE_STRING( BGl_string1565z00zz__tvectorz00, BgL_bgl_string1565za700za7za7_1597za7, "&tvector-id", 11 );
DEFINE_STRING( BGl_string1566z00zz__tvectorz00, BgL_bgl_string1566za700za7za7_1598za7, "&get-tvector-descriptor", 23 );
DEFINE_STRING( BGl_string1567z00zz__tvectorz00, BgL_bgl_string1567za700za7za7_1599za7, "symbol", 6 );
DEFINE_STRING( BGl_string1569z00zz__tvectorz00, BgL_bgl_string1569za700za7za7_1600za7, "upcase", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_getzd2tvectorzd2descriptorzd2envzd2zz__tvectorz00, BgL_bgl_za762getza7d2tvector1601z00, BGl_z62getzd2tvectorzd2descriptorz62zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_declarezd2tvectorz12zd2envz12zz__tvectorz00, BgL_bgl_za762declareza7d2tve1602z00, BGl_z62declarezd2tvectorz12za2zz__tvectorz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string1571z00zz__tvectorz00, BgL_bgl_string1571za700za7za7_1603za7, "downcase", 8 );
DEFINE_STRING( BGl_string1573z00zz__tvectorz00, BgL_bgl_string1573za700za7za7_1604za7, "tvect-descr", 11 );
DEFINE_STRING( BGl_string1574z00zz__tvectorz00, BgL_bgl_string1574za700za7za7_1605za7, "&declare-tvector!", 17 );
DEFINE_STRING( BGl_string1575z00zz__tvectorz00, BgL_bgl_string1575za700za7za7_1606za7, "bstring", 7 );
DEFINE_STRING( BGl_string1576z00zz__tvectorz00, BgL_bgl_string1576za700za7za7_1607za7, "procedure", 9 );
DEFINE_STRING( BGl_string1577z00zz__tvectorz00, BgL_bgl_string1577za700za7za7_1608za7, "&tvector-ref", 12 );
DEFINE_STRING( BGl_string1578z00zz__tvectorz00, BgL_bgl_string1578za700za7za7_1609za7, "list->tvector", 13 );
DEFINE_STRING( BGl_string1579z00zz__tvectorz00, BgL_bgl_string1579za700za7za7_1610za7, "Unable to convert to such tvector", 33 );
DEFINE_STRING( BGl_string1580z00zz__tvectorz00, BgL_bgl_string1580za700za7za7_1611za7, "Undeclared tvector", 18 );
DEFINE_STRING( BGl_string1581z00zz__tvectorz00, BgL_bgl_string1581za700za7za7_1612za7, "&list->tvector", 14 );
DEFINE_STRING( BGl_string1582z00zz__tvectorz00, BgL_bgl_string1582za700za7za7_1613za7, "pair-nil", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2refzd2envz00zz__tvectorz00, BgL_bgl_za762tvectorza7d2ref1614z00, BGl_z62tvectorzd2refzb0zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1583z00zz__tvectorz00, BgL_bgl_string1583za700za7za7_1615za7, "vector->tvector", 15 );
DEFINE_STRING( BGl_string1584z00zz__tvectorz00, BgL_bgl_string1584za700za7za7_1616za7, "&vector->tvector", 16 );
DEFINE_STRING( BGl_string1585z00zz__tvectorz00, BgL_bgl_string1585za700za7za7_1617za7, "vector", 6 );
DEFINE_STRING( BGl_string1586z00zz__tvectorz00, BgL_bgl_string1586za700za7za7_1618za7, "tvector->vector", 15 );
DEFINE_STRING( BGl_string1587z00zz__tvectorz00, BgL_bgl_string1587za700za7za7_1619za7, "&tvector->vector", 16 );
DEFINE_STRING( BGl_string1588z00zz__tvectorz00, BgL_bgl_string1588za700za7za7_1620za7, "__tvector", 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2idzd2envz00zz__tvectorz00, BgL_bgl_za762tvectorza7d2idza71621za7, BGl_z62tvectorzd2idzb0zz__tvectorz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1568z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1570z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_symbol1572z00zz__tvectorz00) );
ADD_ROOT( (void *)(&BGl_za2tvectorzd2tableza2zd2zz__tvectorz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__tvectorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Llib/tvector.scm\" 889) \"BGl_toplevelzd2initzd2zz__tvectorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"tvector?\" \"Llib/tvector.scm\" 3246) \"BGl_tvectorzf3zf3zz__tvectorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&tvector?\" \"Llib/tvector.scm\" 3246) \"BGl_z62tvectorzf3z91zz__tvectorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"tvector-length\" \"Llib/tvector.scm\" 3519) \"BGl_tvectorzd2lengthzd2zz__tvectorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&tvector-length\" \"Llib/tvector.scm\" 3519) \"BGl_z62tvectorzd2lengthzb0zz__tvectorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"tvector-id\" \"Llib/tvector.scm\" 3804) \"BGl_tvectorzd2idzd2zz__tvectorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&tvector-id\" \"Llib/tvector.scm\" 3804) \"BGl_z62tvectorzd2idzb0zz__tvectorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-tvector-descriptor\" \"Llib/tvector.scm\" 5049) \"get_tvector_descriptor\")\n", (FILE *)bprof_port );
      fputs( "((\"&get-tvector-descriptor\" \"Llib/tvector.scm\" 5049) \"BGl_z62getzd2tvectorzd2descriptorz62zz__tvectorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"declare-tvector!\" \"Llib/tvector.scm\" 5740) \"BGl_declarezd2tvectorz12zc0zz__tvectorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&declare-tvector!\" \"Llib/tvector.scm\" 5740) \"BGl_z62declarezd2tvectorz12za2zz__tvectorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"tvector-ref\" \"Llib/tvector.scm\" 6461) \"BGl_tvectorzd2refzd2zz__tvectorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&tvector-ref\" \"Llib/tvector.scm\" 6461) \"BGl_z62tvectorzd2refzb0zz__tvectorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"list->tvector\" \"Llib/tvector.scm\" 6762) \"BGl_listzd2ze3tvectorz31zz__tvectorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&list->tvector\" \"Llib/tvector.scm\" 6762) \"BGl_z62listzd2ze3tvectorz53zz__tvectorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"vector->tvector\" \"Llib/tvector.scm\" 7557) \"BGl_vectorzd2ze3tvectorz31zz__tvectorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&vector->tvector\" \"Llib/tvector.scm\" 7557) \"BGl_z62vectorzd2ze3tvectorz53zz__tvectorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"tvector->vector\" \"Llib/tvector.scm\" 8359) \"BGl_tvectorzd2ze3vectorz31zz__tvectorz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&tvector->vector\" \"Llib/tvector.scm\" 8359) \"BGl_z62tvectorzd2ze3vectorz53zz__tvectorz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long BgL_checksumz00_1818, char * BgL_fromz00_1819)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__tvectorz00))
{ 
BGl_requirezd2initializa7ationz75zz__tvectorz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__tvectorz00(); 
BGl_cnstzd2initzd2zz__tvectorz00(); 
BGl_importedzd2moduleszd2initz00zz__tvectorz00(); 
BGl_toplevelzd2initzd2zz__tvectorz00(); 
return 
BGl_profzd2initzd2zz__tvectorz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__tvectorz00()
{
{ /* Llib/tvector.scm 14 */
BGl_symbol1568z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1569z00zz__tvectorz00); 
BGl_symbol1570z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1571z00zz__tvectorz00); 
return ( 
BGl_symbol1572z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1573z00zz__tvectorz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__tvectorz00()
{
{ /* Llib/tvector.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__tvectorz00()
{
{ /* Llib/tvector.scm 14 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__tvectorz00()
{
{ /* Llib/tvector.scm 14 */
return ( 
BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = BNIL, BUNSPEC) ;} 

}



/* tvector? */
BGL_EXPORTED_DEF bool_t BGl_tvectorzf3zf3zz__tvectorz00(obj_t BgL_objz00_3)
{
{ /* Llib/tvector.scm 92 */
return 
TVECTORP(BgL_objz00_3);} 

}



/* &tvector? */
obj_t BGl_z62tvectorzf3z91zz__tvectorz00(obj_t BgL_envz00_1772, obj_t BgL_objz00_1773)
{
{ /* Llib/tvector.scm 92 */
return 
BBOOL(
BGl_tvectorzf3zf3zz__tvectorz00(BgL_objz00_1773));} 

}



/* tvector-length */
BGL_EXPORTED_DEF int BGl_tvectorzd2lengthzd2zz__tvectorz00(obj_t BgL_objz00_4)
{
{ /* Llib/tvector.scm 98 */
return 
TVECTOR_LENGTH(BgL_objz00_4);} 

}



/* &tvector-length */
obj_t BGl_z62tvectorzd2lengthzb0zz__tvectorz00(obj_t BgL_envz00_1774, obj_t BgL_objz00_1775)
{
{ /* Llib/tvector.scm 98 */
{ /* Llib/tvector.scm 99 */
int BgL_tmpz00_1837;
{ /* Llib/tvector.scm 99 */
obj_t BgL_auxz00_1838;
if(
TVECTORP(BgL_objz00_1775))
{ /* Llib/tvector.scm 99 */
BgL_auxz00_1838 = BgL_objz00_1775
; }  else 
{ 
obj_t BgL_auxz00_1841;
BgL_auxz00_1841 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1562z00zz__tvectorz00, 
BINT(((long)3558)), BGl_string1563z00zz__tvectorz00, BGl_string1564z00zz__tvectorz00, BgL_objz00_1775); 
FAILURE(BgL_auxz00_1841,BFALSE,BFALSE);} 
BgL_tmpz00_1837 = 
BGl_tvectorzd2lengthzd2zz__tvectorz00(BgL_auxz00_1838); } 
return 
BINT(BgL_tmpz00_1837);} } 

}



/* tvector-id */
BGL_EXPORTED_DEF obj_t BGl_tvectorzd2idzd2zz__tvectorz00(obj_t BgL_tvectz00_5)
{
{ /* Llib/tvector.scm 104 */
return 
STRUCT_REF(
TVECTOR_DESCR(BgL_tvectz00_5), 
(int)(((long)0)));} 

}



/* &tvector-id */
obj_t BGl_z62tvectorzd2idzb0zz__tvectorz00(obj_t BgL_envz00_1776, obj_t BgL_tvectz00_1777)
{
{ /* Llib/tvector.scm 104 */
{ /* Llib/tvector.scm 105 */
obj_t BgL_auxz00_1850;
if(
TVECTORP(BgL_tvectz00_1777))
{ /* Llib/tvector.scm 105 */
BgL_auxz00_1850 = BgL_tvectz00_1777
; }  else 
{ 
obj_t BgL_auxz00_1853;
BgL_auxz00_1853 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1562z00zz__tvectorz00, 
BINT(((long)3850)), BGl_string1565z00zz__tvectorz00, BGl_string1564z00zz__tvectorz00, BgL_tvectz00_1777); 
FAILURE(BgL_auxz00_1853,BFALSE,BFALSE);} 
return 
BGl_tvectorzd2idzd2zz__tvectorz00(BgL_auxz00_1850);} } 

}



/* get-tvector-descriptor */
BGL_EXPORTED_DEF obj_t get_tvector_descriptor(obj_t BgL_idz00_24)
{
{ /* Llib/tvector.scm 127 */
if(
NULLP(BGl_za2tvectorzd2tableza2zd2zz__tvectorz00))
{ /* Llib/tvector.scm 128 */
return BFALSE;}  else 
{ /* Llib/tvector.scm 129 */
obj_t BgL_cellz00_1091;
BgL_cellz00_1091 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_24, BGl_za2tvectorzd2tableza2zd2zz__tvectorz00); 
if(
PAIRP(BgL_cellz00_1091))
{ /* Llib/tvector.scm 130 */
return 
CDR(BgL_cellz00_1091);}  else 
{ /* Llib/tvector.scm 130 */
return BFALSE;} } } 

}



/* &get-tvector-descriptor */
obj_t BGl_z62getzd2tvectorzd2descriptorz62zz__tvectorz00(obj_t BgL_envz00_1778, obj_t BgL_idz00_1779)
{
{ /* Llib/tvector.scm 127 */
{ /* Llib/tvector.scm 128 */
obj_t BgL_auxz00_1864;
if(
SYMBOLP(BgL_idz00_1779))
{ /* Llib/tvector.scm 128 */
BgL_auxz00_1864 = BgL_idz00_1779
; }  else 
{ 
obj_t BgL_auxz00_1867;
BgL_auxz00_1867 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1562z00zz__tvectorz00, 
BINT(((long)5101)), BGl_string1566z00zz__tvectorz00, BGl_string1567z00zz__tvectorz00, BgL_idz00_1779); 
FAILURE(BgL_auxz00_1867,BFALSE,BFALSE);} 
return 
get_tvector_descriptor(BgL_auxz00_1864);} } 

}



/* declare-tvector! */
BGL_EXPORTED_DEF obj_t BGl_declarezd2tvectorz12zc0zz__tvectorz00(char * BgL_idz00_25, obj_t BgL_allocatez00_26, obj_t BgL_refz00_27, obj_t BgL_setz00_28)
{
{ /* Llib/tvector.scm 141 */
{ /* Llib/tvector.scm 142 */
obj_t BgL_idz00_1093;
{ /* Llib/tvector.scm 142 */
obj_t BgL_arg1173z00_1098;
{ /* Llib/tvector.scm 142 */
obj_t BgL_casezd2valuezd2_1099;
BgL_casezd2valuezd2_1099 = 
BGl_bigloozd2casezd2sensitivityz00zz__readerz00(); 
if(
(BgL_casezd2valuezd2_1099==BGl_symbol1568z00zz__tvectorz00))
{ /* Llib/tvector.scm 142 */
BgL_arg1173z00_1098 = 
BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(
string_to_bstring(BgL_idz00_25)); }  else 
{ /* Llib/tvector.scm 142 */
if(
(BgL_casezd2valuezd2_1099==BGl_symbol1570z00zz__tvectorz00))
{ /* Llib/tvector.scm 142 */
BgL_arg1173z00_1098 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(
string_to_bstring(BgL_idz00_25)); }  else 
{ /* Llib/tvector.scm 142 */
BgL_arg1173z00_1098 = 
string_to_bstring(BgL_idz00_25); } } } 
BgL_idz00_1093 = 
bstring_to_symbol(BgL_arg1173z00_1098); } 
{ /* Llib/tvector.scm 142 */
obj_t BgL_oldz00_1094;
BgL_oldz00_1094 = 
get_tvector_descriptor(BgL_idz00_1093); 
{ /* Llib/tvector.scm 149 */

{ /* Llib/tvector.scm 150 */
bool_t BgL_test1631z00_1884;
if(
STRUCTP(BgL_oldz00_1094))
{ /* Llib/tvector.scm 113 */
BgL_test1631z00_1884 = 
(
STRUCT_KEY(BgL_oldz00_1094)==BGl_symbol1572z00zz__tvectorz00)
; }  else 
{ /* Llib/tvector.scm 113 */
BgL_test1631z00_1884 = ((bool_t)0)
; } 
if(BgL_test1631z00_1884)
{ /* Llib/tvector.scm 150 */
return BgL_oldz00_1094;}  else 
{ /* Llib/tvector.scm 151 */
obj_t BgL_newz00_1096;
{ /* Llib/tvector.scm 113 */
obj_t BgL_newz00_1557;
BgL_newz00_1557 = 
create_struct(BGl_symbol1572z00zz__tvectorz00, 
(int)(((long)4))); 
{ /* Llib/tvector.scm 113 */
int BgL_tmpz00_1891;
BgL_tmpz00_1891 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_1557, BgL_tmpz00_1891, BgL_setz00_28); } 
{ /* Llib/tvector.scm 113 */
int BgL_tmpz00_1894;
BgL_tmpz00_1894 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_1557, BgL_tmpz00_1894, BgL_refz00_27); } 
{ /* Llib/tvector.scm 113 */
int BgL_tmpz00_1897;
BgL_tmpz00_1897 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_1557, BgL_tmpz00_1897, BgL_allocatez00_26); } 
{ /* Llib/tvector.scm 113 */
int BgL_tmpz00_1900;
BgL_tmpz00_1900 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1557, BgL_tmpz00_1900, BgL_idz00_1093); } 
BgL_newz00_1096 = BgL_newz00_1557; } 
{ /* Llib/tvector.scm 152 */
obj_t BgL_arg1172z00_1097;
BgL_arg1172z00_1097 = 
MAKE_YOUNG_PAIR(BgL_idz00_1093, BgL_newz00_1096); 
BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = 
MAKE_YOUNG_PAIR(BgL_arg1172z00_1097, BGl_za2tvectorzd2tableza2zd2zz__tvectorz00); } 
return BgL_newz00_1096;} } } } } } 

}



/* &declare-tvector! */
obj_t BGl_z62declarezd2tvectorz12za2zz__tvectorz00(obj_t BgL_envz00_1780, obj_t BgL_idz00_1781, obj_t BgL_allocatez00_1782, obj_t BgL_refz00_1783, obj_t BgL_setz00_1784)
{
{ /* Llib/tvector.scm 141 */
{ /* Llib/tvector.scm 142 */
obj_t BgL_auxz00_1914;char * BgL_auxz00_1905;
if(
PROCEDUREP(BgL_allocatez00_1782))
{ /* Llib/tvector.scm 142 */
BgL_auxz00_1914 = BgL_allocatez00_1782
; }  else 
{ 
obj_t BgL_auxz00_1917;
BgL_auxz00_1917 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1562z00zz__tvectorz00, 
BINT(((long)5790)), BGl_string1574z00zz__tvectorz00, BGl_string1576z00zz__tvectorz00, BgL_allocatez00_1782); 
FAILURE(BgL_auxz00_1917,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 142 */
obj_t BgL_tmpz00_1906;
if(
STRINGP(BgL_idz00_1781))
{ /* Llib/tvector.scm 142 */
BgL_tmpz00_1906 = BgL_idz00_1781
; }  else 
{ 
obj_t BgL_auxz00_1909;
BgL_auxz00_1909 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1562z00zz__tvectorz00, 
BINT(((long)5790)), BGl_string1574z00zz__tvectorz00, BGl_string1575z00zz__tvectorz00, BgL_idz00_1781); 
FAILURE(BgL_auxz00_1909,BFALSE,BFALSE);} 
BgL_auxz00_1905 = 
BSTRING_TO_STRING(BgL_tmpz00_1906); } 
return 
BGl_declarezd2tvectorz12zc0zz__tvectorz00(BgL_auxz00_1905, BgL_auxz00_1914, BgL_refz00_1783, BgL_setz00_1784);} } 

}



/* tvector-ref */
BGL_EXPORTED_DEF obj_t BGl_tvectorzd2refzd2zz__tvectorz00(obj_t BgL_tvectorz00_29)
{
{ /* Llib/tvector.scm 159 */
return 
STRUCT_REF(
TVECTOR_DESCR(BgL_tvectorz00_29), 
(int)(((long)2)));} 

}



/* &tvector-ref */
obj_t BGl_z62tvectorzd2refzb0zz__tvectorz00(obj_t BgL_envz00_1785, obj_t BgL_tvectorz00_1786)
{
{ /* Llib/tvector.scm 159 */
{ /* Llib/tvector.scm 160 */
obj_t BgL_auxz00_1925;
if(
TVECTORP(BgL_tvectorz00_1786))
{ /* Llib/tvector.scm 160 */
BgL_auxz00_1925 = BgL_tvectorz00_1786
; }  else 
{ 
obj_t BgL_auxz00_1928;
BgL_auxz00_1928 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1562z00zz__tvectorz00, 
BINT(((long)6511)), BGl_string1577z00zz__tvectorz00, BGl_string1564z00zz__tvectorz00, BgL_tvectorz00_1786); 
FAILURE(BgL_auxz00_1928,BFALSE,BFALSE);} 
return 
BGl_tvectorzd2refzd2zz__tvectorz00(BgL_auxz00_1925);} } 

}



/* list->tvector */
BGL_EXPORTED_DEF obj_t BGl_listzd2ze3tvectorz31zz__tvectorz00(obj_t BgL_idz00_30, obj_t BgL_lz00_31)
{
{ /* Llib/tvector.scm 165 */
{ /* Llib/tvector.scm 166 */
obj_t BgL_descrz00_1105;
BgL_descrz00_1105 = 
get_tvector_descriptor(BgL_idz00_30); 
if(
CBOOL(BgL_descrz00_1105))
{ /* Llib/tvector.scm 169 */
obj_t BgL_allocatez00_1106;obj_t BgL_setz00_1107;
BgL_allocatez00_1106 = 
STRUCT_REF(
((obj_t)BgL_descrz00_1105), 
(int)(((long)1))); 
BgL_setz00_1107 = 
STRUCT_REF(
((obj_t)BgL_descrz00_1105), 
(int)(((long)3))); 
if(
PROCEDUREP(BgL_setz00_1107))
{ /* Llib/tvector.scm 175 */
long BgL_lenz00_1109;
BgL_lenz00_1109 = 
bgl_list_length(BgL_lz00_31); 
{ /* Llib/tvector.scm 175 */
obj_t BgL_tvecz00_1110;
BgL_tvecz00_1110 = 
PROCEDURE_ENTRY(BgL_allocatez00_1106)(BgL_allocatez00_1106, 
BINT(BgL_lenz00_1109), BEOA); 
{ /* Llib/tvector.scm 176 */

{ 
obj_t BgL_lz00_1112;long BgL_iz00_1113;
BgL_lz00_1112 = BgL_lz00_31; 
BgL_iz00_1113 = ((long)0); 
BgL_zc3z04anonymousza31181ze3z87_1114:
if(
NULLP(BgL_lz00_1112))
{ /* Llib/tvector.scm 179 */
return BgL_tvecz00_1110;}  else 
{ /* Llib/tvector.scm 179 */
{ /* Llib/tvector.scm 182 */
obj_t BgL_arg1183z00_1116;
BgL_arg1183z00_1116 = 
CAR(
((obj_t)BgL_lz00_1112)); 
PROCEDURE_ENTRY(BgL_setz00_1107)(BgL_setz00_1107, BgL_tvecz00_1110, 
BINT(BgL_iz00_1113), BgL_arg1183z00_1116, BEOA); } 
{ /* Llib/tvector.scm 183 */
obj_t BgL_arg1184z00_1117;long BgL_arg1185z00_1118;
BgL_arg1184z00_1117 = 
CDR(
((obj_t)BgL_lz00_1112)); 
BgL_arg1185z00_1118 = 
(BgL_iz00_1113+((long)1)); 
{ 
long BgL_iz00_1965;obj_t BgL_lz00_1964;
BgL_lz00_1964 = BgL_arg1184z00_1117; 
BgL_iz00_1965 = BgL_arg1185z00_1118; 
BgL_iz00_1113 = BgL_iz00_1965; 
BgL_lz00_1112 = BgL_lz00_1964; 
goto BgL_zc3z04anonymousza31181ze3z87_1114;} } } } } } }  else 
{ /* Llib/tvector.scm 171 */
return 
BGl_errorz00zz__errorz00(BGl_string1578z00zz__tvectorz00, BGl_string1579z00zz__tvectorz00, BgL_idz00_30);} }  else 
{ /* Llib/tvector.scm 167 */
return 
BGl_errorz00zz__errorz00(BGl_string1578z00zz__tvectorz00, BGl_string1580z00zz__tvectorz00, BgL_idz00_30);} } } 

}



/* &list->tvector */
obj_t BGl_z62listzd2ze3tvectorz53zz__tvectorz00(obj_t BgL_envz00_1787, obj_t BgL_idz00_1788, obj_t BgL_lz00_1789)
{
{ /* Llib/tvector.scm 165 */
{ /* Llib/tvector.scm 166 */
obj_t BgL_auxz00_1975;obj_t BgL_auxz00_1968;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_lz00_1789))
{ /* Llib/tvector.scm 166 */
BgL_auxz00_1975 = BgL_lz00_1789
; }  else 
{ 
obj_t BgL_auxz00_1978;
BgL_auxz00_1978 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1562z00zz__tvectorz00, 
BINT(((long)6812)), BGl_string1581z00zz__tvectorz00, BGl_string1582z00zz__tvectorz00, BgL_lz00_1789); 
FAILURE(BgL_auxz00_1978,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_idz00_1788))
{ /* Llib/tvector.scm 166 */
BgL_auxz00_1968 = BgL_idz00_1788
; }  else 
{ 
obj_t BgL_auxz00_1971;
BgL_auxz00_1971 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1562z00zz__tvectorz00, 
BINT(((long)6812)), BGl_string1581z00zz__tvectorz00, BGl_string1567z00zz__tvectorz00, BgL_idz00_1788); 
FAILURE(BgL_auxz00_1971,BFALSE,BFALSE);} 
return 
BGl_listzd2ze3tvectorz31zz__tvectorz00(BgL_auxz00_1968, BgL_auxz00_1975);} } 

}



/* vector->tvector */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2ze3tvectorz31zz__tvectorz00(obj_t BgL_idz00_32, obj_t BgL_vz00_33)
{
{ /* Llib/tvector.scm 188 */
{ /* Llib/tvector.scm 189 */
obj_t BgL_descrz00_1120;
BgL_descrz00_1120 = 
get_tvector_descriptor(BgL_idz00_32); 
if(
CBOOL(BgL_descrz00_1120))
{ /* Llib/tvector.scm 192 */
obj_t BgL_allocatez00_1121;obj_t BgL_setz00_1122;
BgL_allocatez00_1121 = 
STRUCT_REF(
((obj_t)BgL_descrz00_1120), 
(int)(((long)1))); 
BgL_setz00_1122 = 
STRUCT_REF(
((obj_t)BgL_descrz00_1120), 
(int)(((long)3))); 
if(
PROCEDUREP(BgL_setz00_1122))
{ /* Llib/tvector.scm 198 */
obj_t BgL_tvecz00_1125;
BgL_tvecz00_1125 = 
PROCEDURE_ENTRY(BgL_allocatez00_1121)(BgL_allocatez00_1121, 
BINT(
VECTOR_LENGTH(BgL_vz00_33)), BEOA); 
{ /* Llib/tvector.scm 199 */

{ /* Llib/tvector.scm 200 */
long BgL_g1039z00_1126;
BgL_g1039z00_1126 = 
(
VECTOR_LENGTH(BgL_vz00_33)-((long)1)); 
{ 
long BgL_iz00_1128;
BgL_iz00_1128 = BgL_g1039z00_1126; 
BgL_zc3z04anonymousza31187ze3z87_1129:
if(
(BgL_iz00_1128==((long)-1)))
{ /* Llib/tvector.scm 201 */
return BgL_tvecz00_1125;}  else 
{ /* Llib/tvector.scm 201 */
{ /* Llib/tvector.scm 204 */
obj_t BgL_arg1189z00_1131;
BgL_arg1189z00_1131 = 
VECTOR_REF(BgL_vz00_33,BgL_iz00_1128); 
PROCEDURE_ENTRY(BgL_setz00_1122)(BgL_setz00_1122, BgL_tvecz00_1125, 
BINT(BgL_iz00_1128), BgL_arg1189z00_1131, BEOA); } 
{ 
long BgL_iz00_2012;
BgL_iz00_2012 = 
(BgL_iz00_1128-((long)1)); 
BgL_iz00_1128 = BgL_iz00_2012; 
goto BgL_zc3z04anonymousza31187ze3z87_1129;} } } } } }  else 
{ /* Llib/tvector.scm 194 */
return 
BGl_errorz00zz__errorz00(BGl_string1583z00zz__tvectorz00, BGl_string1579z00zz__tvectorz00, BgL_idz00_32);} }  else 
{ /* Llib/tvector.scm 190 */
return 
BGl_errorz00zz__errorz00(BGl_string1583z00zz__tvectorz00, BGl_string1580z00zz__tvectorz00, BgL_idz00_32);} } } 

}



/* &vector->tvector */
obj_t BGl_z62vectorzd2ze3tvectorz53zz__tvectorz00(obj_t BgL_envz00_1790, obj_t BgL_idz00_1791, obj_t BgL_vz00_1792)
{
{ /* Llib/tvector.scm 188 */
{ /* Llib/tvector.scm 189 */
obj_t BgL_auxz00_2023;obj_t BgL_auxz00_2016;
if(
VECTORP(BgL_vz00_1792))
{ /* Llib/tvector.scm 189 */
BgL_auxz00_2023 = BgL_vz00_1792
; }  else 
{ 
obj_t BgL_auxz00_2026;
BgL_auxz00_2026 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1562z00zz__tvectorz00, 
BINT(((long)7607)), BGl_string1584z00zz__tvectorz00, BGl_string1585z00zz__tvectorz00, BgL_vz00_1792); 
FAILURE(BgL_auxz00_2026,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_idz00_1791))
{ /* Llib/tvector.scm 189 */
BgL_auxz00_2016 = BgL_idz00_1791
; }  else 
{ 
obj_t BgL_auxz00_2019;
BgL_auxz00_2019 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1562z00zz__tvectorz00, 
BINT(((long)7607)), BGl_string1584z00zz__tvectorz00, BGl_string1567z00zz__tvectorz00, BgL_idz00_1791); 
FAILURE(BgL_auxz00_2019,BFALSE,BFALSE);} 
return 
BGl_vectorzd2ze3tvectorz31zz__tvectorz00(BgL_auxz00_2016, BgL_auxz00_2023);} } 

}



/* tvector->vector */
BGL_EXPORTED_DEF obj_t BGl_tvectorzd2ze3vectorz31zz__tvectorz00(obj_t BgL_tvz00_34)
{
{ /* Llib/tvector.scm 210 */
{ /* Llib/tvector.scm 211 */
obj_t BgL_descrz00_1134;
BgL_descrz00_1134 = 
TVECTOR_DESCR(BgL_tvz00_34); 
{ /* Llib/tvector.scm 212 */
obj_t BgL_refz00_1136;
BgL_refz00_1136 = 
STRUCT_REF(
((obj_t)BgL_descrz00_1134), 
(int)(((long)2))); 
if(
PROCEDUREP(BgL_refz00_1136))
{ /* Llib/tvector.scm 218 */
int BgL_lenz00_1138;
BgL_lenz00_1138 = 
TVECTOR_LENGTH(BgL_tvz00_34); 
{ /* Llib/tvector.scm 218 */
obj_t BgL_vecz00_1139;
BgL_vecz00_1139 = 
create_vector(
(long)(BgL_lenz00_1138)); 
{ /* Llib/tvector.scm 219 */

{ /* Llib/tvector.scm 220 */
long BgL_g1040z00_1140;
BgL_g1040z00_1140 = 
(
(long)(BgL_lenz00_1138)-((long)1)); 
{ 
long BgL_iz00_1142;
BgL_iz00_1142 = BgL_g1040z00_1140; 
BgL_zc3z04anonymousza31192ze3z87_1143:
if(
(BgL_iz00_1142==((long)-1)))
{ /* Llib/tvector.scm 221 */
return BgL_vecz00_1139;}  else 
{ /* Llib/tvector.scm 221 */
{ /* Llib/tvector.scm 224 */
obj_t BgL_arg1195z00_1145;
BgL_arg1195z00_1145 = 
PROCEDURE_ENTRY(BgL_refz00_1136)(BgL_refz00_1136, BgL_tvz00_34, 
BINT(BgL_iz00_1142), BEOA); 
VECTOR_SET(BgL_vecz00_1139,BgL_iz00_1142,BgL_arg1195z00_1145); } 
{ 
long BgL_iz00_2051;
BgL_iz00_2051 = 
(BgL_iz00_1142-((long)1)); 
BgL_iz00_1142 = BgL_iz00_2051; 
goto BgL_zc3z04anonymousza31192ze3z87_1143;} } } } } } }  else 
{ /* Llib/tvector.scm 214 */
return 
BGl_errorz00zz__errorz00(BGl_string1586z00zz__tvectorz00, BGl_string1579z00zz__tvectorz00, 
BGl_tvectorzd2idzd2zz__tvectorz00(BgL_tvz00_34));} } } } 

}



/* &tvector->vector */
obj_t BGl_z62tvectorzd2ze3vectorz53zz__tvectorz00(obj_t BgL_envz00_1793, obj_t BgL_tvz00_1794)
{
{ /* Llib/tvector.scm 210 */
{ /* Llib/tvector.scm 211 */
obj_t BgL_auxz00_2055;
if(
TVECTORP(BgL_tvz00_1794))
{ /* Llib/tvector.scm 211 */
BgL_auxz00_2055 = BgL_tvz00_1794
; }  else 
{ 
obj_t BgL_auxz00_2058;
BgL_auxz00_2058 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1562z00zz__tvectorz00, 
BINT(((long)8400)), BGl_string1587z00zz__tvectorz00, BGl_string1564z00zz__tvectorz00, BgL_tvz00_1794); 
FAILURE(BgL_auxz00_2058,BFALSE,BFALSE);} 
return 
BGl_tvectorzd2ze3vectorz31zz__tvectorz00(BgL_auxz00_2055);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__tvectorz00()
{
{ /* Llib/tvector.scm 14 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__tvectorz00()
{
{ /* Llib/tvector.scm 14 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__tvectorz00()
{
{ /* Llib/tvector.scm 14 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__tvectorz00()
{
{ /* Llib/tvector.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)483454155), 
BSTRING_TO_STRING(BGl_string1588z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)415464083), 
BSTRING_TO_STRING(BGl_string1588z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string1588z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1588z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string1588z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string1588z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)479579181), 
BSTRING_TO_STRING(BGl_string1588z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string1588z00zz__tvectorz00)); 
return 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string1588z00zz__tvectorz00));} 

}

#ifdef __cplusplus
}
#endif
